Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
POST /csat/by-token/{token}
POST
/api/v1/csat/by-token/{token}
const url = 'https://api.pitch2sale.com/api/v1/csat/by-token/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rating":1,"comment":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/csat/by-token/example \ --header 'Content-Type: application/json' \ --data '{ "rating": 1, "comment": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
rating
required
integer
comment
string
Examplegenerated
{ "rating": 1, "comment": "example"}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}